<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class ReturnProduct extends Model
{

    protected $table = 'return_products';

    public $timestamps = true;
    
    protected $fillable = [
        'goods_rtn_entry_id','product_id','unit_id','grade_id','qty','price','total_amt','remarks','prd_status'
    ];
    
    public function product()
    {
    	return $this->belongsTo('App\Product','product_id');
    }

    public function unit()
    {
    	return $this->belongsTo('App\UnitMeasurement','unit_id');
    }

    public function grade()
    {
    	return $this->belongsTo('App\GradeMaster','grade_id');
    }
}
